<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.css" />
    <!-- Bootstrap -->
    <!-- <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"> -->
    <!-- Mini map -->
    <!-- <link rel="stylesheet" href="Leaflet-MiniMap/dist/Control.MiniMap.min.css"> -->
    <!-- Leaflet.MousePosition -->
    <!-- <link rel="stylesheet" href="Leaflet.MousePosition/src/L.Control.MousePosition.css"> -->
    <!-- Leaflet.awesome-markers -->
    <!-- <link rel="stylesheet" href="Leaflet.awesome-markers/dist/leaflet.awesome-markers.css"> -->
    <!--  -->
    <!-- <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css"> -->
    <!--  -->
    <!-- <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.css"> -->
    <!-- leaflet-dvf -->
    <!-- <link rel="stylesheet" href="leaflet-dvf/dist/css/dvf.css"> -->

    <!-- Leaflet -->
    <script src="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.js"></script>
    <!-- jQuery -->
    <!-- <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script> -->
    <!-- Bootstrap -->
    <!-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script> -->
    <!-- Mini map -->
    <!-- <script src="Leaflet-MiniMap/dist/Control.MiniMap.min.js"></script> -->
    <!-- Leaflet.MousePosition -->
    <!-- <script src="Leaflet.MousePosition/src/L.Control.MousePosition.js" charset="utf-8"></script> -->
    <!-- leaflet-plugins -->
    <!-- <script src="leaflet-plugins/layer/tile/Bing.js" charset="utf-8"></script> -->
    <!-- API-KEY Google -->
    <!-- <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCo64rjBlRmgFCtMBZ4cdrj7xes8fS8qd0&libraries=places"></script> -->
    <!-- Leaflet.GoogleMutant -->
    <!-- <script src='https://unpkg.com/leaflet.gridlayer.googlemutant@latest/Leaflet.GoogleMutant.js'></script> -->
    <!-- Leaflet.awesome-markers -->
    <!-- <script src="Leaflet.awesome-markers/dist/leaflet.awesome-markers.js" charset="utf-8"></script> -->
    <!--  -->
    <!-- <script src="leaflet-dvf/dist/leaflet-dvf.js" charset="utf-8"></script> -->
    <!--  -->
    <!-- <script src="leaflet-dvf/dist/leaflet-dvf.markers.js" charset="utf-8"></script> -->

    <style media="screen">
        body,
        html,
        #map {
            height: 100%;
            padding: 0;
            margin: 0;
        }
    </style>
</head>

<body>
    <div id="map"> </div>

    <script>
        var map = L.map('map').setView([40.965, -5.664], 16);
        var osm = L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: 'Map data &copy; <ahref="http://openstreetmap.org">OpenStreetMap</a> contributors, <a href="http://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, Imagery © <a href="http://cloudmade.com">CloudMade</a>'
        }).addTo(map);

        var options = {
            data: {
                'España': 625000,
                'Europa': 245000,
                'America': 112000,
                'Resto': 53000
            },
            chartOptions: {
                'España': {
                    fillColor: 'blue',
                    maxHeight: 100,
                    maxValue: 625000,
                    minValue: 0,
                },
                'Europa': {
                    fillColor: 'red',
                    maxHeight: 100,
                    maxValue: 625000,
                    minValue: 0,
                },
                'America': {
                    fillColor: 'green',
                    maxHeight: 100,
                    maxValue: 625000,
                    minValue: 0,
                },
                'Resto': {
                    fillColor: 'yellow',
                    maxHeight: 100,
                    maxValue: 625000,
                    minValue: 0,
                }
            },
            weight: 1,
            color: '#000000',
            radius: 40,
            fillOpacity: 1,
        };

        // var barras = new L.BarChartMarker([40.9657, -5.662], options);
        // map.addLayer(barras);

        // var tarta = new L.PieChartMarker([40.9623, -5.6666], options);
        // map.addLayer(tarta);


        // // Marcador personalizado
        // var marker = new L.MapMarker([40.9657, -5.662], {
        //     color: 'purple',
        //     fillColor: 'yellow',
        //     fillOpacity: 0.5,
        //     innerRadius: 15,
        //     numberOfSides: 6,
        //     radius: 30,
        //     rotation: 10,
        //     // imageCircleUrl: 'images/unamuno.jpg'
        //
        // })
        // // map.addLayer(marker);
        // // Creando un marcador con forma de polígono regular
        // var polygonmarker = new L.RegularPolygonMarker([40.9623, -5.6666], {
        //     fillColor: 'red',
        //     fillOpacity: '1',
        //     numberOfSides: 4,
        //     radius: 60,
        //     rotation: 0,
        //     weight: 1,
        //     // imageCircleUrl: 'images/unamuno.jpg'
        //
        // })
        // // map.addLayer(polygonmarker);
        // //Creando un marcador con forma de estrella
        // var star = new L.StarMarker([40.9633, -5.6640], {
        //     fillOpacity: 0,
        //     numberOfPoints: 8,
        //     opacity: 1,
        //     radius: 40,
        //     weight: 4,
        //     imageCircleUrl: 'images/unamuno.jpg'
        // });
        // map.addLayer(star);

        var point = L.marker([40.965, -5.664], {
            title: "Plaza mayor de Salamanca",
            draggable: true
        }).addTo(map);
        var polilinea = L.polyline([
            [40.9650, -5.6640],
            [40.96452, -5.66476],
            [40.96399, -5.66466],
            [40.9612, -5.66662]
        ], {
            color: "red",
            weigth: 8
        }).addTo(map);
        var poligono = L.polygon([
            [40.96548, -5.66443],
            [40.96527, -5.66338],
            [40.96451, -5.66373],
            [40.9647, -5.66468]
        ], {
            color: "green",
            weigth: 8,
            fillColor: "blue",
            fillOpacity: 0.5
        }).addTo(map);
        var rectangulo = L.rectangle([
            [40.96473, -5.66314],
            [40.96344, -5.66174]
        ], {
            color: "green",
            weigth: 8,
            fillColor: "red",
            fillOpacity: 1
        }).addTo(map);
        var circulo = L.circle([40.96474, -5.66728], 150, {
            color: "green",
            weigth: 8,
            fillColor: "magenta",
            fillOpacity: 0.5
        }).addTo(map);
    </script>

</body>

</html>
